Firmware
33 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| deleteAutoCheckUpgrade | DELETE | Delete autoCheck upgrade plan |
| editAutoCheckUpgrade | PATCH | Edit autoCheck upgrade plan |
| uploadUpgradeFirmware | POST | Upload upgrade firmware |
| deleteUpgradeFirmware | DELETE | Delete upgrade firmware |
| createFirmwareUpgradePlan | POST | Create firmware upgrade plan based on manually uploaded firmware |
| getUpgradeFailedDeviceInfos | GET | Get the list of devices which upgrade failed |
| getUpgradeFailedDeviceFirmwareInfo | GET | Get firmware information about the failed device to be upgraded |
| createFailedDeviceModelPlan | POST | Create Upgrade Plan for Failed Device |
| createRollback | POST | Create rollback plan |
| deleteUpgradePlan | DELETE | Delete firmware upgrade plan |
| editUpgradePlan | PATCH | Edit firmware upgrade plan |
| getGridAutoCheckUpgrade | GET | Get autocheck upgrade plan |
| createAutoCheckUpgrade | POST | Create autocheck upgrade plan |
| checkUploadUpgradeFirmwareLimit | POST | Check the limit of the firmware pool |
| getGridFirmwareList | GET | Get the uploaded firmware list |
| editFirmwareUpgrade | POST | Edit the uploaded firmware |
| getTargetFirmwareAllSites | GET | Get all sites of target firmware |
| getModelBySites | POST | Get the model of the specified site |
| getcriticalModelNum | GET | Get the number of critical models |
| getGridFirmwarePoolList | GET | Get firmware pool list |
| getModelFirmwareReleaseNotes | POST | Get release notes information |
| getGridUpgradeLogs | GET | Get firmware upgrade logs |
| getEmailReminderSwitchStatus | GET | Get Email Reminder Switch Status |
| modifyEmailReminderSwitchStatus | PATCH | Modify Email Reminder Switch Status |
| getGridUpgradePlans | GET | Get firmware upgrade plans |
| createUpgradePlan | POST | Create firmware upgrade plan |
| getTryBetaStatus | GET | Get try-beta switch status |
| modifyTryBetaStatus | PATCH | Modify try-beta switch status |
| getTryBetaChannel | GET | Get try-beta Channel Info |
| modifyTryBetaChannel | PATCH | Modify try-beta Channel Info |
| getPlanUpgradeModelInfo | POST | Get the upgradeable information of the selected model |
| getGridPlanUpgradeModelList | GET | Get the list of models |
| getGridPlanUpgradeSiteList | POST | Get the sites of the selected model |
deleteAutoCheckUpgrade
DELETE /openapi/v1/{omadacId}/autoCheck/{autoCheckId}/upgrade
Delete autoCheck upgrade plan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
autoCheckId | path | string | yes | Auto Check ID |
// omada_call_operation
{
"operationId": "deleteAutoCheckUpgrade",
"params": {
"autoCheckId": "<autoCheckId>"
}
}Details, permissions and error codes
Delete autoCheck upgrade plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-7131 - Controller ID not exist.
editAutoCheckUpgrade
PATCH /openapi/v1/{omadacId}/autoCheck/{autoCheckId}/upgrade
Edit autoCheck upgrade plan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
autoCheckId | path | string | yes | Auto Check ID |
Request body — application/json (required) — schema AutoCheckUpgradeCreateInfo
| Field | Type | Required | Description |
|---|---|---|---|
modelTypeInfos | array<ModelTypeInfoOpenApiVO> | yes | List of model type selected by the user, and it should not be null |
siteIds | array<string> | yes | List of sites selected by the user, and it should not be null |
occurrence | UpgradeBaseScheduleTimeOpenApiVO | yes | (UpgradeBaseScheduleTimeOpenApiVO not expanded; call omada_get_schema "UpgradeBaseScheduleTimeOpenApiVO") |
channel | integer | yes | Channel should be a value as follows: 0: stable; 1: Release Candidate(RC); 2: Beta, and it should not be null |
// omada_call_operation
{
"operationId": "editAutoCheckUpgrade",
"params": {
"autoCheckId": "<autoCheckId>"
},
"body": "{...}"
}Details, permissions and error codes
Edit autoCheck upgrade plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
uploadUpgradeFirmware
POST /openapi/v1/{omadacId}/files/upgrade/firmware
Upload upgrade firmware
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
description | query | string | yes | Description of upload firmware |
showModel | query | string | yes | ShowModel of upload firmware, you can also get this field throw: "Get the model of the specified site" |
compoundModel | query | string | yes | CompoundModel of upload firmware, you can also get this field throw: "Get the model of the specified site" |
targetEnable | query | boolean | yes | Do the sites set up specified firmware, it should be a value as follows: true, false |
targetSites | query | string | no | A string of target site IDs separated by commas, exists when 'targetEnable' is true. |
Request body — application/json (optional)
| Field | Type | Required | Description |
|---|---|---|---|
file | string (binary) | no | Firmware file. |
// omada_call_operation
{
"operationId": "uploadUpgradeFirmware",
"params": {
"description": "<description>",
"showModel": "<showModel>",
"compoundModel": "<compoundModel>",
"targetEnable": "<targetEnable>"
},
"body": "{...}"
}Details, permissions and error codes
Upload upgrade firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30402 - Failed to upload the firmware file for upgrade.
-39022 - This file size is too large.
-39027 - Invalid upgrade file.
deleteUpgradeFirmware
DELETE /openapi/v1/{omadacId}/firmwares/{firmwareId}/upgrade
Delete upgrade firmware
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
firmwareId | path | string | yes | Firmware ID |
// omada_call_operation
{
"operationId": "deleteUpgradeFirmware",
"params": {
"firmwareId": "<firmwareId>"
}
}Details, permissions and error codes
Delete the manually uploaded firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
createFirmwareUpgradePlan
POST /openapi/v1/{omadacId}/firmwares/{firmwareId}/upgrade/plan
Create firmware upgrade plan based on manually uploaded firmware
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
firmwareId | path | string | yes | Firmware ID |
Request body — application/json (required) — schema PlanFirmwareUpgradeCreateInfo
| Field | Type | Required | Description |
|---|---|---|---|
sites | array<string> | yes | List of site ID selected by the user |
year | integer | no | The year selected by the user |
monthOfYear | integer | no | The month of the year selected by the user, It should be within the range of 1-12 |
dayOfMonth | integer | no | The day of the month selected by the user, It should be within the range of 1-31 |
hour | integer | no | The hour of the day selected by the user, It should be within the range of 0-23 |
minute | integer | no | The minute in the hour selected by the user, It should be within the range of 0-59 |
scheduleType | integer | yes | The type of upgrade execution time, where 0 represents now and 1 represents the specified time |
// omada_call_operation
{
"operationId": "createFirmwareUpgradePlan",
"params": {
"firmwareId": "<firmwareId>"
},
"body": "{...}"
}Details, permissions and error codes
Create an upgrade plan based on manually uploaded firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-30100 - Please select at least one site.
-39021 - Invalid file for upgrading.
-7131 - Controller ID not exist.
getUpgradeFailedDeviceInfos
GET /openapi/v1/{omadacId}/logs/{upgradeLogId}/upgrade/overview/failed-devices
Get the list of devices which upgrade failed
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
upgradeLogId | path | string | yes | The Upgrade log ID obtained from the interface (Get firmware upgrade logs) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getUpgradeFailedDeviceInfos",
"params": {
"upgradeLogId": "<upgradeLogId>"
}
}Details, permissions and error codes
Get the list of devices which upgrade failed through upgrade logs
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
getUpgradeFailedDeviceFirmwareInfo
GET /openapi/v1/{omadacId}/logs/{upgradeLogId}/upgrade/overview/failed-model-firmware
Get firmware information about the failed device to be upgraded
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
upgradeLogId | path | string | yes | The Upgrade log ID obtained from the interface (Get firmware upgrade logs) |
// omada_call_operation
{
"operationId": "getUpgradeFailedDeviceFirmwareInfo",
"params": {
"upgradeLogId": "<upgradeLogId>"
}
}Details, permissions and error codes
Get firmware information about the failed device to be upgraded
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-34558 - This model in the selected site has already specified a firmware version.
createFailedDeviceModelPlan
POST /openapi/v1/{omadacId}/logs/{upgradeLogId}/upgrade/overview/failed-model-plan
Create Upgrade Plan for Failed Device
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
upgradeLogId | path | string | yes | The Upgrade log ID obtained from the interface (Get firmware upgrade logs) |
Request body — application/json (required) — schema FailedCreateModelPlanUpgradeInfo
| Field | Type | Required | Description |
|---|---|---|---|
year | integer | no | The year selected by the user |
monthOfYear | integer | no | The month of the year selected by the user, It should be within the range of 1-12 |
dayOfMonth | integer | no | The day of the month selected by the user, It should be within the range of 1-31 |
hour | integer | no | The hour of the day selected by the user, It should be within the range of 0-23 |
minute | integer | no | The minute in the hour selected by the user, It should be within the range of 0-59 |
scheduleType | integer | yes | The type of upgrade execution time, where 0 represents now and 1 represents the specified time |
// omada_call_operation
{
"operationId": "createFailedDeviceModelPlan",
"params": {
"upgradeLogId": "<upgradeLogId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Upgrade Plan for Failed Device
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-1005 - Operation forbidden.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-39061 - The target firmware has been removed/deleted. Please reset the rule.
createRollback
POST /openapi/v1/{omadacId}/logs/{upgradeLogId}/upgrade/overview/rollback
Create rollback plan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
upgradeLogId | path | string | yes | The Upgrade log ID obtained from the interface (Get firmware upgrade logs) |
Request body — application/json (required) — schema RollbackCreateInfo
| Field | Type | Required | Description |
|---|---|---|---|
year | integer | no | User selected year |
monthOfYear | integer | no | The month of the year selected by the user, It should be within the range of 1-12 |
dayOfMonth | integer | no | The day of the month selected by the user, It should be within the range of 1-31 |
hour | integer | no | The hour selected by the user, It should be within the range of 0-23 |
minute | integer | no | The minute selected by the user, It should be within the range of 0-59 |
scheduleType | integer | yes | The type of execution time for the upgrade, where 0 represents now and 1 represents the specified time |
targetVersion | string | yes | User selected rollback version, It should not be null |
// omada_call_operation
{
"operationId": "createRollback",
"params": {
"upgradeLogId": "<upgradeLogId>"
},
"body": "{...}"
}Details, permissions and error codes
You can choose a specific time to create a rollback plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.
deleteUpgradePlan
DELETE /openapi/v1/{omadacId}/plans/{planId}/upgrade/overview
Delete firmware upgrade plan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
planId | path | string | yes | Upgrade Plan ID |
// omada_call_operation
{
"operationId": "deleteUpgradePlan",
"params": {
"planId": "<planId>"
}
}Details, permissions and error codes
Delete firmware upgrade plan.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
editUpgradePlan
PATCH /openapi/v1/{omadacId}/plans/{planId}/upgrade/overview
Edit firmware upgrade plan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
planId | path | string | yes | Upgrade Plan ID |
Request body — application/json (required) — schema PlanUpgradeEditInfo
| Field | Type | Required | Description |
|---|---|---|---|
sites | array<string> | yes | List of site IDs selected by the user |
year | integer | no | User selected year |
monthOfYear | integer | no | The month of the year selected by the user, It should be within the range of 1-12 |
dayOfMonth | integer | no | The day of the month selected by the user, It should be within the range of 1-31 |
hour | integer | no | The hour selected by the user, It should be within the range of 0-23 |
minute | integer | no | The minute selected by the user, It should be within the range of 0-59 |
scheduleType | integer | yes | The type of execution time for the upgrade, where 0 represents now and 1 represents the specified time |
// omada_call_operation
{
"operationId": "editUpgradePlan",
"params": {
"planId": "<planId>"
},
"body": "{...}"
}Details, permissions and error codes
Edit firmware upgrade plan.
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
getGridAutoCheckUpgrade
GET /openapi/v1/{omadacId}/upgrade/autoCheck
Get autocheck upgrade plan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.autoCheckTime | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field upgrade |
// omada_call_operation
{
"operationId": "getGridAutoCheckUpgrade"
}Details, permissions and error codes
Paging to get autocheck upgrade plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.
createAutoCheckUpgrade
POST /openapi/v1/{omadacId}/upgrade/autoCheck
Create autocheck upgrade plan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema AutoCheckUpgradeCreateInfo
| Field | Type | Required | Description |
|---|---|---|---|
modelTypeInfos | array<ModelTypeInfoOpenApiVO> | yes | List of model type selected by the user, and it should not be null |
siteIds | array<string> | yes | List of sites selected by the user, and it should not be null |
occurrence | UpgradeBaseScheduleTimeOpenApiVO | yes | (UpgradeBaseScheduleTimeOpenApiVO not expanded; call omada_get_schema "UpgradeBaseScheduleTimeOpenApiVO") |
channel | integer | yes | Channel should be a value as follows: 0: stable; 1: Release Candidate(RC); 2: Beta, and it should not be null |
// omada_call_operation
{
"operationId": "createAutoCheckUpgrade",
"body": "{...}"
}Details, permissions and error codes
Create autocheck upgrade plan
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-30100 - Please select at least one site.
-7131 - Controller ID not exist.
checkUploadUpgradeFirmwareLimit
POST /openapi/v1/{omadacId}/upgrade/firmware-size/{firmwareSize}
Check the limit of the firmware pool
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
firmwareSize | path | string | yes | firmwareSize |
// omada_call_operation
{
"operationId": "checkUploadUpgradeFirmwareLimit",
"params": {
"firmwareSize": "<firmwareSize>"
}
}Details, permissions and error codes
Check the limit of the firmware pool
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34577 - The file size has exceeded the limit.
getGridFirmwareList
GET /openapi/v1/{omadacId}/upgrade/firmwares
Get the uploaded firmware list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.modelTypeInfo | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.uploadTime | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field upgrade |
// omada_call_operation
{
"operationId": "getGridFirmwareList"
}Details, permissions and error codes
Paging to get the uploaded firmware list
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
editFirmwareUpgrade
POST /openapi/v1/{omadacId}/upgrade/firmwares/{firmwareId}
Edit the uploaded firmware
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
firmwareId | path | string | yes | Firmware ID |
Request body — application/json (required) — schema EditUploadFirmwareInfo
| Field | Type | Required | Description |
|---|---|---|---|
description | string | no | Description of firmware |
targetEnable | boolean | no | Do the sites set up specified firmware, it should be a value as follows: true, false |
targetSites | array<string> | no | Target sites ID, it exists when "targetEnable" is true |
// omada_call_operation
{
"operationId": "editFirmwareUpgrade",
"params": {
"firmwareId": "<firmwareId>"
},
"body": "{...}"
}Details, permissions and error codes
Edit the uploaded firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-39021 - Invalid file for upgrading.
getTargetFirmwareAllSites
GET /openapi/v1/{omadacId}/upgrade/firmwares/{firmwareId}/target-sites
Get all sites of target firmware
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
firmwareId | path | string | yes | Firmware ID |
// omada_call_operation
{
"operationId": "getTargetFirmwareAllSites",
"params": {
"firmwareId": "<firmwareId>"
}
}Details, permissions and error codes
Get all sites of target firmware
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-39021 - Invalid file for upgrading.
getModelBySites
POST /openapi/v1/{omadacId}/upgrade/models
Get the model of the specified site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema UpgradeSiteModelReqInfo
| Field | Type | Required | Description |
|---|---|---|---|
siteIds | array<string> | no | List collection of siteID |
// omada_call_operation
{
"operationId": "getModelBySites",
"body": "{...}"
}Details, permissions and error codes
Get the model of the specified site. If no site is specified, it defaults to all authorized sites
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
getcriticalModelNum
GET /openapi/v1/{omadacId}/upgrade/overview/critical
Get the number of critical models
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getcriticalModelNum"
}Details, permissions and error codes
You can get the number of critical models.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.
getGridFirmwarePoolList
GET /openapi/v1/{omadacId}/upgrade/overview/firmwares
Get firmware pool list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
channel | query | integer | yes | Channel should be a value as follows: 0: stable; 1: Release Candidate(RC); 2: Beta. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.modelTypeInfo | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.releaseTime | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
// omada_call_operation
{
"operationId": "getGridFirmwarePoolList",
"params": {
"channel": "<channel>"
}
}Details, permissions and error codes
Paging to get firmware pool list
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.
getModelFirmwareReleaseNotes
POST /openapi/v1/{omadacId}/upgrade/overview/firmwares/release-note
Get release notes information
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ModelFwReleaseNoteReqInfo
| Field | Type | Required | Description |
|---|---|---|---|
oemId | string | yes | ID, you can also get this field throw: "Get the firmware pool list" |
// omada_call_operation
{
"operationId": "getModelFirmwareReleaseNotes",
"body": "{...}"
}Details, permissions and error codes
Get release notes information of a firmware series
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.
getGridUpgradeLogs
GET /openapi/v1/{omadacId}/upgrade/overview/logs
Get firmware upgrade logs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.upgradeTime | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.modelTypeInfo | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
// omada_call_operation
{
"operationId": "getGridUpgradeLogs"
}Details, permissions and error codes
Paging to get firmware upgrade logs.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.
getEmailReminderSwitchStatus
GET /openapi/v1/{omadacId}/upgrade/overview/mail/reminder
Get Email Reminder Switch Status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getEmailReminderSwitchStatus"
}Details, permissions and error codes
You can get email reminder switch status
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
modifyEmailReminderSwitchStatus
PATCH /openapi/v1/{omadacId}/upgrade/overview/mail/reminder
Modify Email Reminder Switch Status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema UpgradeSettingEmailReminder
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Email Reminder switch status |
// omada_call_operation
{
"operationId": "modifyEmailReminderSwitchStatus",
"body": "{...}"
}Details, permissions and error codes
You can modify email reminder switch status
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34598 - The Device Update Notifications is disabled. Cannot configure Email notifications.
-7131 - Controller ID not exist.
getGridUpgradePlans
GET /openapi/v1/{omadacId}/upgrade/overview/plans
Get firmware upgrade plans
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.scheduledUpgradeTime | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.modelTypeInfo | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
// omada_call_operation
{
"operationId": "getGridUpgradePlans"
}Details, permissions and error codes
Paging to get firmware upgrade plans.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
createUpgradePlan
POST /openapi/v1/{omadacId}/upgrade/overview/plans
Create firmware upgrade plan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema PlanUpgradeCreateInfo
| Field | Type | Required | Description |
|---|---|---|---|
sites | array<string> | yes | List of site ID selected by the user |
year | integer | no | The year selected by the user |
monthOfYear | integer | no | The month of the year selected by the user, It should be within the range of 1-12 |
dayOfMonth | integer | no | The day of the month selected by the user, It should be within the range of 1-31 |
hour | integer | no | The hour of the day selected by the user, It should be within the range of 0-23 |
minute | integer | no | The minute in the hour selected by the user, It should be within the range of 0-59 |
modelList | array<PlanUpgradeSelectedModel> | yes | List of model selected for planned upgrade |
scheduleType | integer | yes | The type of upgrade execution time, where 0 represents now and 1 represents the specified time |
// omada_call_operation
{
"operationId": "createUpgradePlan",
"body": "{...}"
}Details, permissions and error codes
Create firmware upgrade plan.
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
getTryBetaStatus
GET /openapi/v1/{omadacId}/upgrade/overview/try-beta
Get try-beta switch status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getTryBetaStatus"
}Details, permissions and error codes
You can get try-beta switch status
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
modifyTryBetaStatus
PATCH /openapi/v1/{omadacId}/upgrade/overview/try-beta
Modify try-beta switch status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema UpgradeSettingTryBeta
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Try beta switch status |
// omada_call_operation
{
"operationId": "modifyTryBetaStatus",
"body": "{...}"
}Details, permissions and error codes
You can modify the try-beta switch status
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34556 - Try Beta switch cannot be turned off after being turned on.
getTryBetaChannel
GET /openapi/v1/{omadacId}/upgrade/overview/try-beta/channel
Get try-beta Channel Info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getTryBetaChannel"
}Details, permissions and error codes
You can get try-beta channel info
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
modifyTryBetaChannel
PATCH /openapi/v1/{omadacId}/upgrade/overview/try-beta/channel
Modify try-beta Channel Info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema UpgradeSettingTryBetaChannel
| Field | Type | Required | Description |
|---|---|---|---|
channel | integer | yes | Channel should be a value as follows: 0:Stable; 1:Release Candidate; 2:Beta |
// omada_call_operation
{
"operationId": "modifyTryBetaChannel",
"body": "{...}"
}Details, permissions and error codes
You can modify try-beta channel info
The interface requires one of the permissions:
Site Manual Firmware Upgrade Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34599 - The "Join Early Access Program" option is not selected. Cannot configure the firmware channel subscription.
getPlanUpgradeModelInfo
POST /openapi/v1/{omadacId}/upgrade/plan/firmware
Get the upgradeable information of the selected model
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ModelUpgradeInfo
| Field | Type | Required | Description |
|---|---|---|---|
modelList | array<string> | yes | The selected model list. |
selectType | string | yes | SelectType should be a value as follows: all: select all; include: include selected modelList; exclude: all but exclude selected modelList. |
// omada_call_operation
{
"operationId": "getPlanUpgradeModelInfo",
"body": "{...}"
}Details, permissions and error codes
Get the upgradeable information of the selected model.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.
getGridPlanUpgradeModelList
GET /openapi/v1/{omadacId}/upgrade/plan/models
Get the list of models
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.modelTypeInfo | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field upgrade |
// omada_call_operation
{
"operationId": "getGridPlanUpgradeModelList"
}Details, permissions and error codes
Get the list of models on the Controller upgrade plan page.
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1501 - Omada Cloud Platform error.
getGridPlanUpgradeSiteList
POST /openapi/v1/{omadacId}/upgrade/plan/sites
Get the sites of the selected model
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ModelUpgradeSiteReqInfo
| Field | Type | Required | Description |
|---|---|---|---|
currentPage | integer | yes | Start page number. Start from 1. |
currentPageSize | integer | yes | Number of entries per page. It should be within the range of 1–100. |
models | array<ModelBaseInfo> | yes | Model base information list, include Model type information and currentVersion list |
// omada_call_operation
{
"operationId": "getGridPlanUpgradeSiteList",
"body": "{...}"
}Details, permissions and error codes
Paging to get the sites of the selected model
The interface requires one of the permissions:
Site Manual Firmware Upgrade View Only